// Les 5
component-section
  div(slot='title') Architectural patterns en tactics
  component-intendedlearningoutcomes
    component-criterion(codes='["SA-begrip-concepten"]')
      | legt het verband uit tussen het Hofmeister-model, qas'en en tactics.
    component-criterion(codes='["SA-begrip-concepten"]')
      | legt
      |
      strong architectural pattern
      |
      | uit.
    component-criterion(codes='["SA-begrip-concepten"]')
      | legt het
      |
      strong broker
      |
      | architectural pattern uit.
    component-criterion(codes='["SA-begrip-concepten"]')
      | legt het
      |
      strong microservices
      |
      | architectural pattern uit.
    component-criterion(codes='["SA-begrip-concepten"]')
      | legt het verband tussen brokers en microservices uit.
    component-criterion(codes='["SA-begrip-concepten"]')
      | legt
      |
      strong architectural tactic
      |
      | uit.
    component-criterion(codes='["SA-begrip-concepten"]')
      | legt het verband tussen architectural tactics en architectural patterns uit.
    component-criterion(codes='["SA-begrip-concepten"]')
      | legt
      |
      strong enterprise architecture pattern
      |
      | uit (
      strong Domain Model
      | ,
      |
      strong Separated Interface
      | ,
      |
      strong Service Stub
      | ,
      |
      strong DTO
      | ,
      |
      strong Gateway
      | ,
      |
      strong Plugin
      | ,
      |
      strong Remote Facade
      | ,
      |
      strong Transaction Script
      | ,
      |
      strong Table Module
      | ,
      |
      strong Service Layer
      | ).
  component-section
    div(slot='title') Bestuderen
    p.bron
      cite(data-id='6867189/KRJVJXEU', data-label='chapter', data-locator='13.2')
        | Software Architecture in Practice
    p.bron
      cite(data-id='6867189/KRJVJXEU', data-label='chapter', data-locator='4-13')
        | Software Architecture in Practice
    p.bron
      abbr(title='Avgeriou, P., Zdun, U. Architectural Patterns Revisited – A Pattern  Language')
        a(href='bron/material/Avgeriou_Zdun_ArchPatternsRevisited.pdf') Architectural Patterns Revisited – A Pattern Language
    p.bron
      abbr(
        title='Hofmeister, C., Kruchten, P., Nord, R. L., Obbink, H., Ran, A., & America, P. (2007). A general model of software architecture design derived from five industrial approaches. Journal of Systems and Software, 80(1), 106-126.')
        a(href='bron/material/Hofmeister_al_GeneralModelOfArchitecture.pdf') A general model of software architecture design - pp. 106-126
  component-section
    div(slot='title') Oefening 1
    component-exercise
      p
        strong Architectual Patterns:
      p
        | Bestudeer één patroon uit elke onderstaande categorie en indentificeer alle relevante informatie.
        em Context, Problem, Forces, Solution, Consequences
      p
        | 👨‍🏫 Bestudeer eventueel ook de
        |
        a(href='#sec_2.5.5') Verdieping
        | !
      strong De Patterns:
      ol
        li Map Reduce, Microservices with Domain-driven design (+++)
        li Pipe-and-Filter, Shared-Data, Multi-Tier (++)
        li Publish-Subscribe, Model View Controller (+)
  component-section
    div(slot='title') Oefening 2
    component-exercise
      p
        strong Architectual Tactics:
      ol
        li Werk in een groep van 3 á 5 studenten.
        li
          | Bestudeer tactics voor
          |
          strong Availability, Performance, Modifiability
          |
          | en
          strong Security
          |
          | uit Software Architecture in Practice.
        li
          | Lees (indien nodig) HandsOn:
          |
          a(href='#sec_3.3') Software Trendanalyse Dashboard
        li
          | Selecteer de tactics die van toepassing kunnen zijn op het Trendanalyse Dashboard.
        li Maak een korte (5 minuten) presentatie van bovenstaande.
  component-section
    div(slot='title') 👨‍🏫 Presentatie
    ul.liststyletypenone
      li.bron
        a(href='bron/slides/SKA_OW5_B.pdf') Lesweek 5
  component-section(extra='')
    div(slot='title') Verdieping
    ul.liststyletypenone
      li.bron
        a(href='bron/slides/SKA_OW5_Patterns.pdf') Architectual Patterns Verdieping
